com.fasterxml.aalto.dom

## Class DOMReaderImpl

- java.lang.Object
- - org.codehaus.stax2.ri.dom.DOMWrappingReader
  - - com.fasterxml.aalto.dom.DOMReaderImpl

- All Implemented Interfaces:
    NamespaceContext, XMLStreamConstants, XMLStreamReader, org.codehaus.stax2.AttributeInfo, org.codehaus.stax2.DTDInfo, org.codehaus.stax2.LocationInfo, org.codehaus.stax2.typed.TypedXMLStreamReader, org.codehaus.stax2.validation.Validatable, org.codehaus.stax2.XMLStreamReader2

      public class DOMReaderImpl
      extends org.codehaus.stax2.ri.dom.DOMWrappingReader

  Concrete DOM-backed implementation, based on the Stax2 reference implementation's default implementation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ReaderConfig` | `_config`

    - ### Fields inherited from class org.codehaus.stax2.ri.dom.DOMWrappingReader

      `_attrList, _base64Decoder, _cfgInternNames, _cfgInternNsURIs, _cfgNsAware, _coalescedText, _coalescing, _currEvent, _currNode, _decoderFactory, _depth, _nsDeclList, _rootNode, _systemId, _textBuffer, ERR_STATE_NO_LOCALNAME, ERR_STATE_NOT_ELEM, ERR_STATE_NOT_PI, ERR_STATE_NOT_START_ELEM, ERR_STATE_NOT_TEXTUAL, ERR_STATE_NOT_TEXTUAL_OR_ELEM, ERR_STATE_NOT_TEXTUAL_XXX, INT_SPACE, MASK_TYPED_ACCESS_BINARY`

    - ### Fields inherited from interface org.codehaus.stax2.XMLStreamReader2

      `FEATURE_DTD_OVERRIDE`

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DOMReaderImpl(DOMSource src, ReaderConfig cfg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DOMReaderImpl` | `createFrom(DOMSource src, ReaderConfig cfg)`
    `Object` | `getProperty(String name)`
    `boolean` | `isPropertySupported(String name)`
    `boolean` | `setProperty(String name, Object value)`
    `protected void` | `throwStreamException(String msg, Location loc)`

    - ### Methods inherited from class org.codehaus.stax2.ri.dom.DOMWrappingReader

      `_base64Decoder, _constructTypeException, _constructTypeException, _decoderFactory, _getAttributeAsArray, _internName, _internNsURI, close, closeCompletely, coalesceText, findAttributeIndex, findErrorDesc, getAttributeAs, getAttributeAsArray, getAttributeAsBinary, getAttributeAsBinary, getAttributeAsBoolean, getAttributeAsDecimal, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsInteger, getAttributeAsLong, getAttributeAsLongArray, getAttributeAsQName, getAttributeCount, getAttributeIndex, getAttributeInfo, getAttributeLocalName, getAttributeName, getAttributeNamespace, getAttributePrefix, getAttributeType, getAttributeValue, getAttributeValue, getCharacterEncodingScheme, getCurrentLocation, getDepth, getDTDInfo, getDTDInternalSubset, getDTDPublicId, getDTDRootName, getDTDSystemId, getElementAs, getElementAsBinary, getElementAsBinary, getElementAsBoolean, getElementAsDecimal, getElementAsDouble, getElementAsFloat, getElementAsInt, getElementAsInteger, getElementAsLong, getElementAsQName, getElementText, getEncoding, getEndingByteOffset, getEndingCharOffset, getEndLocation, getErrorLocation, getEventType, getFeature, getIdAttributeIndex, getLocalName, getLocation, getLocationInfo, getName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getNamespaceURI, getNonTransientNamespaceContext, getNotationAttributeIndex, getPIData, getPITarget, getPrefix, getPrefix, getPrefixedName, getPrefixes, getProcessedDTD, getProcessedDTDSchema, getStartingByteOffset, getStartingCharOffset, getStartLocation, getText, getText, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, hasName, hasNext, hasText, isAttributeSpecified, isCharacters, isEmptyElement, isEndElement, isStandalone, isStartElement, isWhiteSpace, next, nextTag, readElementAsArray, readElementAsBinary, readElementAsBinary, readElementAsDoubleArray, readElementAsFloatArray, readElementAsIntArray, readElementAsLongArray, reportParseProblem, reportWrongState, require, setFeature, setInternNames, setInternNsURIs, setValidationProblemHandler, skipElement, standaloneSet, stopValidatingAgainst, stopValidatingAgainst, throwStreamException, validateAgainst`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _config

          protected final ReaderConfig _config

  - ### Constructor Detail

    - #### DOMReaderImpl

          protected DOMReaderImpl(DOMSource src,
                       ReaderConfig cfg)
                           throws XMLStreamException

      Throws:
        `XMLStreamException`

  - ### Method Detail

    - #### createFrom

          public static DOMReaderImpl createFrom(DOMSource src,
                                 ReaderConfig cfg)
                                          throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### isPropertySupported

          public boolean isPropertySupported(String name)

      Specified by:
        `isPropertySupported` in interface `org.codehaus.stax2.XMLStreamReader2`
      Specified by:
        `isPropertySupported` in class `org.codehaus.stax2.ri.dom.DOMWrappingReader`

    - #### getProperty

          public Object getProperty(String name)

      Specified by:
        `getProperty` in interface `XMLStreamReader`
      Specified by:
        `getProperty` in class `org.codehaus.stax2.ri.dom.DOMWrappingReader`

    - #### setProperty

          public boolean setProperty(String name,
                            Object value)

      Specified by:
        `setProperty` in interface `org.codehaus.stax2.XMLStreamReader2`
      Specified by:
        `setProperty` in class `org.codehaus.stax2.ri.dom.DOMWrappingReader`

    - #### throwStreamException

          protected void throwStreamException(String msg,
                                  Location loc)
                                       throws XMLStreamException

      Specified by:
        `throwStreamException` in class `org.codehaus.stax2.ri.dom.DOMWrappingReader`
      Throws:
        `XMLStreamException`

Copyright © 2012-2015 FasterXML. All Rights Reserved.